org.springframework.cloud.dataflow.server.service

## Class DeployerConfigurationMetadataResolver

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.DeployerConfigurationMetadataResolver

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

      public class DeployerConfigurationMetadataResolver
      extends Object
      implements org.springframework.context.ApplicationContextAware

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeployerConfigurationMetadataResolver(TaskConfigurationProperties.DeployerProperties deployerProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty>` | `resolve()` Resolve all configuration metadata properties prefixed with `spring.cloud.deployer.`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeployerConfigurationMetadataResolver

          public DeployerConfigurationMetadataResolver(TaskConfigurationProperties.DeployerProperties deployerProperties)

  - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                                     throws org.springframework.beans.BeansException

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### resolve

          public List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty> resolve()

      Resolve all configuration metadata properties prefixed with `spring.cloud.deployer.`
      Returns:
        the list

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.